// ObjeTag.h : Definitions for class ObjeTag and supporting code.
//

// The 64-byte header for the obje data.
typedef struct objeheader_ {
  short unknown1[6];
  short scale_factor;   // 255 = scale of 1.0
  short unknown2[25];
} objeheader;

// A obje - a tag describing an object's properties.
class ObjeTag : public Tag {
public:
  objeheader obje_header;

  // Read the scen's static data from disk.
  virtual void read_data(void);

  // These virtual functions do nothing.
  virtual void load_bulk_data(void);
  virtual void free_bulk_data(void);

  // Create a new tag.
  ObjeTag(class MythPlugin *plugin, tagheader *header);

  // Delete the tag.
  ~ObjeTag();
};
