// targa.h : Definitions for the TGA writing routine.
//

// Write a TGA image file.
// bytes_per_pixel is 1 for greyscale, 3 for RGB
void write_tga(char *filename, char bytes_per_pixel,
               short img_x, short img_y, unsigned char *data);

// Write a TGA-format short integer (little-endian format)
void write_tga_short(FILE *out_file, short write_int);